Bug 1566534 - Please remove dependency on python2-cups
Summary: Please remove dependency on python2-cups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xpra
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1578356
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:28 UTC by Zdenek Dohnal
Modified: 2018-05-22 16:35 UTC (History)
4 users (show)

Fixed In Version: xpra-2.3-1.fc28 xpra-2.3-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-22 15:06:31 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xpra 1568 None None None Never

Description Zdenek Dohnal 2018-04-12 13:28:53 UTC
Python2 is going to be unsupported since 2020-01-01 and I as python-cups maintainer would like to remove python2 subpackage. Would you mind porting your package to python3-cups? If it is not possible, would you mind considering removing xpra from Fedora, if possible?

Comment 1 Jonathan Underwood 2018-04-16 10:10:19 UTC
Unfortunately, at the moment, xpra isn't fully ported over to python 3 upstream, so it's not ready to fully switch to python 3.

Xpra is a heavily used package in Fedora, so we definitely don't want to remove it.

Honestly, I can't see the urgency to drop the python2 sub-package while Python 2 still has a couple of years support left. Dropping it now seems premature, since it would also break user code depending on it.

Comment 2 Zdenek Dohnal 2018-04-16 10:40:14 UTC
Hi Jonathan,

thank you for the response. IMHO it is good to start sooner than later - one year and five months seems like enough time, but I think porting can arise some issues, which can delay the process.

And the fact python2 going to be unsupported (IMO) means that there won't be any python2 subpackages since 2020-01-01 in Fedora - which means no python2 subpackages in Rawhide and supported stable Fedora releases. And that means to remove python2 subpackages at that time even in stable releases (which I don't think it is good approach...) or port a project early and ship in rawhide, which will become stable release and users will have more to adapt or test ported project.

Is there a upstream issue for porting xpra to python? If so, would you mind attaching the link here, and if not, would you mind asking upstream for it?

Comment 3 Jonathan Underwood 2018-04-16 13:14:56 UTC
Hi Zdenek - yeah, I do understand the motivation, and can't argue with it. But, I don't want to remove functional and useful software. Upstream is working hard on the issue:

https://www.xpra.org/trac/ticket/1568

Progress is good, but not yet complete.

Comment 4 Zdenek Dohnal 2018-04-16 13:22:17 UTC
I understand - I mentioned the removal as the last resort, if porting isn't possible (e.g. dead upstream and too much work on porting...).

Comment 5 Fedora Update System 2018-05-12 18:55:51 UTC
xpra-2.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-501ff8a45f

Comment 6 Fedora Update System 2018-05-12 18:56:05 UTC
xpra-2.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-efcd54f2b7

Comment 7 Fedora Update System 2018-05-13 20:51:16 UTC
xpra-2.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-501ff8a45f

Comment 8 Fedora Update System 2018-05-13 22:22:13 UTC
xpra-2.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-efcd54f2b7

Comment 9 Fedora Update System 2018-05-22 15:06:31 UTC
xpra-2.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-22 16:35:27 UTC
xpra-2.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.